<?php
class Adresse extends Object
{
    public /*string*/ $strasse;
    public /*string*/ $plz;
    public /*string*/ $ort;

    public function __construct()
    {
        parent::__construct();
    }

    public function RemoteProcedureCall($prefix, $str)
    {
        if(parent::RemoteProcedureCall($prefix, $str))
            return true;
        return false;
    }

    public function fromXml(&$xml)
    {
        parent::fromXml($xml);
        $this->strasse = (string)($xml['strasse']);
        $this->plz = (string)($xml['plz']);
        $this->ort = (string)($xml['ort']);
    }

    public function toXml(&$xml)
    {
        parent::toXml($xml);
        $xml->addAttribute("strasse", $this->strasse);
        $xml->addAttribute("plz", $this->plz);
        $xml->addAttribute("ort", $this->ort);
    }

    public function htmlView($indent, $divid)
    {
        if($divid != null)
        {
            echo str_repeat('  ', $indent) . "<div class='composed'><div class='Adresse' id='$divid'>";
            echo "<div class='caption'>$divid</div>\n";
        }
        parent::htmlView($indent, null);
        echo str_repeat('  ', $indent+1) . "<div class='primitive'><div class='string' id='strasse'><div class='caption'>strasse</div>" . htmlspecialchars($this->strasse) . "</div></div>\n";
        echo str_repeat('  ', $indent+1) . "<div class='primitive'><div class='string' id='plz'><div class='caption'>plz</div>" . htmlspecialchars($this->plz) . "</div></div>\n";
        echo str_repeat('  ', $indent+1) . "<div class='primitive'><div class='string' id='ort'><div class='caption'>ort</div>" . htmlspecialchars($this->ort) . "</div></div>\n";
        if($divid != null)
            echo str_repeat('  ', $indent) . "</div></div>\n";
    }

    public function htmlForm($prefix, $indent, $divid)
    {
        if($divid != null)
        {
            echo str_repeat('  ', $indent) . "<div class='composed'><div class='Adresse' id='$divid'>\n";
            echo str_repeat('  ', $indent+1) . "<div class='caption'>$divid</div>\n";
        }
        parent::htmlForm($prefix, $indent, null);
        echo str_repeat('  ', $indent+1) . "<div class='primitive'><div class='string' id='strasse'><div class='caption'>strasse</div><input type=\"text\" name=\"" . $prefix . "[strasse]\" value=\"" . htmlspecialchars($this->strasse) . "\"/></div></div>\n";
        echo str_repeat('  ', $indent+1) . "<div class='primitive'><div class='string' id='plz'><div class='caption'>plz</div><input type=\"text\" name=\"" . $prefix . "[plz]\" value=\"" . htmlspecialchars($this->plz) . "\"/></div></div>\n";
        echo str_repeat('  ', $indent+1) . "<div class='primitive'><div class='string' id='ort'><div class='caption'>ort</div><input type=\"text\" name=\"" . $prefix . "[ort]\" value=\"" . htmlspecialchars($this->ort) . "\"/></div></div>\n";
        if($divid != null)
            echo str_repeat('  ', $indent) . "</div></div>\n";
    }

    public function fromHttpPost(&$post)
    {
        parent::fromHttpPost($post);
        $this->strasse = $post['strasse'];
        $this->plz = $post['plz'];
        $this->ort = $post['ort'];
    }
}
?>