<?php
class Vereinbarung extends Object
{
    public /*string*/ $Text;
    public /*int*/ $Preis;
    public /*date*/ $datum;

    public function __construct()
    {
        parent::__construct();
    }

    public function RemoteProcedureCall($prefix, $str)
    {
        if(parent::RemoteProcedureCall($prefix, $str))
            return true;
        return false;
    }

    public function fromXml(&$xml)
    {
        parent::fromXml($xml);
        $this->Text = (string)($xml['Text']);
        $this->Preis = intval((string)($xml['Preis']));
        $this->datum = strtotime((string)($xml['datum']));
    }

    public function toXml(&$xml)
    {
        parent::toXml($xml);
        $xml->addAttribute("Text", $this->Text);
        $xml->addAttribute("Preis", $this->Preis);
        $xml->addAttribute("datum", $this->datum);
    }

    public function htmlView($indent, $divid)
    {
        if($divid != null)
        {
            echo str_repeat('  ', $indent) . "<div class='composed'><div class='Vereinbarung' id='$divid'>";
            echo "<div class='caption'>$divid</div>\n";
        }
        parent::htmlView($indent, null);
        echo str_repeat('  ', $indent+1) . "<div class='primitive'><div class='string' id='Text'><div class='caption'>Text</div>" . htmlspecialchars($this->Text) . "</div></div>\n";
        echo str_repeat('  ', $indent+1) . "<div class='primitive'><div class='int' id='Preis'><div class='caption'>Preis</div>" . $this->Preis . "</div></div>\n";
        echo str_repeat('  ', $indent+1) . "<div class='primitive'><div class='date' id='datum'><div class='caption'>datum</div>" . date('d.m.Y', $this->datum) . "</div></div>\n";
        if($divid != null)
            echo str_repeat('  ', $indent) . "</div></div>\n";
    }

    public function htmlForm($prefix, $indent, $divid)
    {
        if($divid != null)
        {
            echo str_repeat('  ', $indent) . "<div class='composed'><div class='Vereinbarung' id='$divid'>\n";
            echo str_repeat('  ', $indent+1) . "<div class='caption'>$divid</div>\n";
        }
        parent::htmlForm($prefix, $indent, null);
        echo str_repeat('  ', $indent+1) . "<div class='primitive'><div class='string' id='Text'><div class='caption'>Text</div><input type=\"text\" name=\"" . $prefix . "[Text]\" value=\"" . htmlspecialchars($this->Text) . "\"/></div></div>\n";
        echo str_repeat('  ', $indent+1) . "<div class='primitive'><div class='int' id='Preis'><div class='caption'>Preis</div><input type=\"text\" name=\"" . $prefix . "[Preis]\" value=\"" . $this->Preis . "\"/></div></div>\n";
        echo str_repeat('  ', $indent+1) . "<div class='primitive'><div class='date' id='datum'><div class='caption'>datum</div><input type=\"text\" name=\"" . $prefix . "[datum]\" value=\"" . date('d.m.Y', $this->datum) . "\"/></div></div>\n";
        if($divid != null)
            echo str_repeat('  ', $indent) . "</div></div>\n";
    }

    public function fromHttpPost(&$post)
    {
        parent::fromHttpPost($post);
        $this->Text = $post['Text'];
        $this->Preis = intval($post['Preis']);
        $this->datum = strtotime($post['datum']);
    }
}
?>