 
#include "Type.h"
using namespace std;

map<string, Type*> Type::AllTypes;
vector<Type*> Type::AllTypesOrdered;

Type::Type(string TypeName)
{
    this->TypeName = TypeName;
    if(AllTypes.find(TypeName) != AllTypes.end())
        throw "Type-Name defined multiple times";
    AllTypes[TypeName] = this;
    AllTypesOrdered.push_back(this);
}

Type::~Type()
{
    AllTypes.erase(this->TypeName);
}
