<?php
class Variante extends Object
{
    public /*string*/ $Name;
    public /*float*/ $BasePrice;
    public /*float*/ $includedHours;
    public /*float*/ $extraHoursPrice;
    public /*int*/ $minGuests;
    public /*int*/ $maxGuests;

    public function __construct()
    {
        parent::__construct();
    }

    public function RemoteProcedureCall($prefix, $str)
    {
        if(parent::RemoteProcedureCall($prefix, $str))
            return true;
        return false;
    }

    public function fromXml(&$xml)
    {
        parent::fromXml($xml);
        $this->Name = (string)($xml['Name']);
        $this->BasePrice = floatval((string)($xml['BasePrice']));
        $this->includedHours = floatval((string)($xml['includedHours']));
        $this->extraHoursPrice = floatval((string)($xml['extraHoursPrice']));
        $this->minGuests = intval((string)($xml['minGuests']));
        $this->maxGuests = intval((string)($xml['maxGuests']));
    }

    public function toXml(&$xml)
    {
        parent::toXml($xml);
        $xml->addAttribute("Name", $this->Name);
        $xml->addAttribute("BasePrice", $this->BasePrice);
        $xml->addAttribute("includedHours", $this->includedHours);
        $xml->addAttribute("extraHoursPrice", $this->extraHoursPrice);
        $xml->addAttribute("minGuests", $this->minGuests);
        $xml->addAttribute("maxGuests", $this->maxGuests);
    }

    public function htmlView($indent, $divid)
    {
        if($divid != null)
        {
            echo str_repeat('  ', $indent) . "<div class='composed'><div class='Variante' id='$divid'>";
            echo "<div class='caption'>$divid</div>\n";
        }
        parent::htmlView($indent, null);
        echo str_repeat('  ', $indent+1) . "<div class='primitive'><div class='string' id='Name'><div class='caption'>Name</div>" . htmlspecialchars($this->Name) . "</div></div>\n";
        echo str_repeat('  ', $indent+1) . "<div class='primitive'><div class='float' id='BasePrice'><div class='caption'>BasePrice</div>" . $this->BasePrice . "</div></div>\n";
        echo str_repeat('  ', $indent+1) . "<div class='primitive'><div class='float' id='includedHours'><div class='caption'>includedHours</div>" . $this->includedHours . "</div></div>\n";
        echo str_repeat('  ', $indent+1) . "<div class='primitive'><div class='float' id='extraHoursPrice'><div class='caption'>extraHoursPrice</div>" . $this->extraHoursPrice . "</div></div>\n";
        echo str_repeat('  ', $indent+1) . "<div class='primitive'><div class='int' id='minGuests'><div class='caption'>minGuests</div>" . $this->minGuests . "</div></div>\n";
        echo str_repeat('  ', $indent+1) . "<div class='primitive'><div class='int' id='maxGuests'><div class='caption'>maxGuests</div>" . $this->maxGuests . "</div></div>\n";
        if($divid != null)
            echo str_repeat('  ', $indent) . "</div></div>\n";
    }

    public function htmlForm($prefix, $indent, $divid)
    {
        if($divid != null)
        {
            echo str_repeat('  ', $indent) . "<div class='composed'><div class='Variante' id='$divid'>\n";
            echo str_repeat('  ', $indent+1) . "<div class='caption'>$divid</div>\n";
        }
        parent::htmlForm($prefix, $indent, null);
        echo str_repeat('  ', $indent+1) . "<div class='primitive'><div class='string' id='Name'><div class='caption'>Name</div><input type=\"text\" name=\"" . $prefix . "[Name]\" value=\"" . htmlspecialchars($this->Name) . "\"/></div></div>\n";
        echo str_repeat('  ', $indent+1) . "<div class='primitive'><div class='float' id='BasePrice'><div class='caption'>BasePrice</div><input type=\"text\" name=\"" . $prefix . "[BasePrice]\" value=\"" . $this->BasePrice . "\"/></div></div>\n";
        echo str_repeat('  ', $indent+1) . "<div class='primitive'><div class='float' id='includedHours'><div class='caption'>includedHours</div><input type=\"text\" name=\"" . $prefix . "[includedHours]\" value=\"" . $this->includedHours . "\"/></div></div>\n";
        echo str_repeat('  ', $indent+1) . "<div class='primitive'><div class='float' id='extraHoursPrice'><div class='caption'>extraHoursPrice</div><input type=\"text\" name=\"" . $prefix . "[extraHoursPrice]\" value=\"" . $this->extraHoursPrice . "\"/></div></div>\n";
        echo str_repeat('  ', $indent+1) . "<div class='primitive'><div class='int' id='minGuests'><div class='caption'>minGuests</div><input type=\"text\" name=\"" . $prefix . "[minGuests]\" value=\"" . $this->minGuests . "\"/></div></div>\n";
        echo str_repeat('  ', $indent+1) . "<div class='primitive'><div class='int' id='maxGuests'><div class='caption'>maxGuests</div><input type=\"text\" name=\"" . $prefix . "[maxGuests]\" value=\"" . $this->maxGuests . "\"/></div></div>\n";
        if($divid != null)
            echo str_repeat('  ', $indent) . "</div></div>\n";
    }

    public function fromHttpPost(&$post)
    {
        parent::fromHttpPost($post);
        $this->Name = $post['Name'];
        $this->BasePrice = floatval($post['BasePrice']);
        $this->includedHours = floatval($post['includedHours']);
        $this->extraHoursPrice = floatval($post['extraHoursPrice']);
        $this->minGuests = intval($post['minGuests']);
        $this->maxGuests = intval($post['maxGuests']);
    }
}
?>